Subject: Re: Generating elf kernel ?

From: "tiejun.chen" <[email-masked]>
Date: Tue, 14 Sep 2010 18:08:33 +0800

Guillaume Dargaud wrote:
> Hello all,
> In the past I've been using the PPC architecture to generate elf kernels (I 
> wrote my own bootloader):
> $ file zImage.elf 
> zImage.elf: ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1 
> (SYSV), statically linked, not stripped
> 
> I'm now trying to change to the PowerPC architecture, but the generated kernel 
> is different and won't load:
> $ file zImage
> zImage: u-boot/PPCBoot image
> 
> How do I generate an elf file ?

Try simpleImage/dtbImage. But you have to check if there is a file,
arch/powerpc/boot/<platform>.c.

For more detail on this please refer to Documentation/powerpc/bootwrapper.txt.

> For what it's worth, I use the Xilinx-patched kernel and I load it to a flash 
> mem using impact.

Which bootloader? Looks you want to run it as XIP.

Tiejun